Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Interface Qt

    public interface Qt

The Qt namespace contains miscellaneous identifiers used throughout the Qt library.

Nested Class Summary
`static class` | `Qt.Alignment` This is a flags class for com.trolltech.qt.core.Qt.AlignmentFlag
`static class` | `Qt.AlignmentFlag` This enum type is used to describe alignment.
`static class` | `Qt.AnchorAttribute` An anchor has one or more of the following attributes.
`static class` | `Qt.ApplicationAttribute` This enum describes attributes that change the behavior of application-wide features.
`static class` | `Qt.ArrowType`
`static class` | `Qt.AspectRatioMode` This enum type defines what happens to the aspect ratio when scaling an rectangle.
`static class` | `Qt.Axis` Identify the axes emanating from a node.
`static class` | `Qt.BGMode` Background mode.
`static class` | `Qt.BrushStyle` This enum type defines the brush styles supported by Qt, i.e.
`static class` | `Qt.CaseSensitivity`
`static class` | `Qt.CheckState` This enum describes the state of checkable items, controls, and widgets.
`static class` | `Qt.ClipOperation`
`static class` | `Qt.ConnectionType` This enum describes the types of connection that can be used between signals and slots.
`static class` | `Qt.ContextMenuPolicy` This enum type defines the various policies a widget can have with respect to showing a context menu.
`static class` | `Qt.Corner` This enum type specifies a corner in a rectangle.
`static class` | `Qt.CursorShape` This enum type defines the various cursors that can be used.
`static class` | `Qt.DateFormat` Note. For `ISODate` formats, each `Y`, `M` and `D` represents a single digit of the year, month and day used to specify the date.
`static class` | `Qt.DayOfWeek`
`static class` | `Qt.DockWidgetArea`
`static class` | `Qt.DockWidgetAreas` This is a flags class for com.trolltech.qt.core.Qt.DockWidgetArea
`static class` | `Qt.DockWidgetAreaSizes`
`static class` | `Qt.DropAction`
`static class` | `Qt.DropActions` This is a flags class for com.trolltech.qt.core.Qt.DropAction
`static class` | `Qt.EventPriority` This enum can be used to specify event priorities.
`static class` | `Qt.FillRule` Specifies which method should be used to fill the paths and polygons.
`static class` | `Qt.FocusPolicy` This enum type defines the various policies a widget can have with respect to acquiring keyboard focus.
`static class` | `Qt.FocusReason` This enum specifies why the focus changed.
`static class` | `Qt.GlobalColor`